{"openapi":"3.0.1","info":{"title":"Contact Application API","description":"This is a sample Spring Boot RESTful service using springdoc-openapi and OpenAPI 3."},"servers":[{"url":"http://internal-awseb--awseb-yblak9ldmm7k-602526014.eu-west-1.elb.amazonaws.com","description":"Generated server url"}],"paths":{"/UserSiteService/WriteLogo":{"post":{"tags":["user-site-controller"],"operationId":"uploadImage","requestBody":{"content":{"application/json":{"schema":{"required":["frontUser"],"type":"object","properties":{"frontUser":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UploadedFileModel"}}}}}}},"/OdpDatasetService/ContactEmail":{"post":{"tags":["odp-controller"],"operationId":"sendEmail","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContactEmailModel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/testmail":{"get":{"tags":["test-controller"],"operationId":"testmail","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/sitemap/create":{"get":{"tags":["sitemap-controller"],"operationId":"createSitemap","responses":{"200":{"description":"OK","content":{"application/xml":{"schema":{"type":"string"}}}}}}},"/UserSiteService/Users":{"get":{"tags":["user-site-controller"],"operationId":"usersList","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserSiteModel"}}}}}}}},"/UserSiteService/Users/{id}":{"get":{"tags":["user-site-controller"],"operationId":"getUser","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserSiteModel"}}}}}},"delete":{"tags":["user-site-controller"],"operationId":"userDelete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/UserSiteService/ReadLogo/frontUser/{fileName}":{"get":{"tags":["user-site-controller"],"operationId":"readCover","parameters":[{"name":"fileName","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/ReuseService/Reuses/{id}":{"get":{"tags":["reuse-controller"],"operationId":"getReuse","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReuseDto"}}}}}}},"/ReuseService/Reuses/UserSite/{id}":{"get":{"tags":["reuse-controller"],"operationId":"reusesListForUserSite","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ReuseDto"}}}}}}}},"/ReuseService/Reuses/Size":{"get":{"tags":["reuse-controller"],"operationId":"datasetsSize","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"integer","format":"int64"}}}}}}},"/ReuseService/ReuseType":{"get":{"tags":["reuse-controller"],"operationId":"reuseTypeList","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ReuseTypeDto"}}}}}}}},"/PublicationService/ReadCover/odp/cover/{fileName}":{"get":{"tags":["publication-controller"],"operationId":"readCoverProductionMode","parameters":[{"name":"fileName","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"image/jpeg":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/PublicationService/ReadCover/cover/{fileName}":{"get":{"tags":["publication-controller"],"operationId":"readCover_1","parameters":[{"name":"fileName","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"image/jpeg":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/PublicationService/Publications":{"get":{"tags":["publication-controller"],"operationId":"publicationList","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicationDto"}}}}}}}},"/PublicationService/Publications/{id}":{"get":{"tags":["publication-controller"],"operationId":"getPublication","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicationDto"}}}}}}},"/PublicationService/Publications/News":{"get":{"tags":["publication-controller"],"operationId":"publicationNewsList","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicationDto"}}}}}}}},"/PublicationService/Publications/Home":{"get":{"tags":["publication-controller"],"operationId":"publicationHomeList","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicationDto"}}}}}}}},"/PublicationService/Categories":{"get":{"tags":["publication-controller"],"operationId":"getCategoryList","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicationCategoryDto"}}}}}}}},"/OdpDatasetService/searchTitleIntoLanguage/{title}/{language}":{"get":{"tags":["odp-controller"],"operationId":"searchTitleIntoLanguage","parameters":[{"name":"title","in":"path","required":true,"schema":{"type":"string"}},{"name":"language","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DatasetTitleDto"}}}}}}}},"/OdpDatasetService/incrementNumberOfViews/{datasetid}":{"get":{"tags":["odp-controller"],"operationId":"incrementNumberOfViews","parameters":[{"name":"datasetid","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/OdpDatasetService/incrementNumberOfDownloadResource/{datasetid}/{resourceid}":{"get":{"tags":["odp-controller"],"operationId":"incrementNumberOfDownloadResource","parameters":[{"name":"datasetid","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"resourceid","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/OdpDatasetService/incrementNumberOfDownloadDataset/{datasetid}":{"get":{"tags":["odp-controller"],"operationId":"incrementNumberOfDownloadDataset","parameters":[{"name":"datasetid","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/OdpDatasetService/datasets/readCsv":{"get":{"tags":["odp-controller"],"operationId":"getJsonFromCsv","parameters":[{"name":"csvUrl","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/OdpDatasetService/datasets/getDocumentation":{"get":{"tags":["odp-controller"],"operationId":"getDocumentationFromTurtleCsv","parameters":[{"name":"turtleUrl","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/OdpDatasetService/datasets/Licences":{"get":{"tags":["odp-controller"],"operationId":"getDatasetLicenceList","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OdpDatasetLicenceModel"}}}}}}}},"/OdpDatasetService/UsedDataThemes":{"get":{"tags":["odp-controller"],"operationId":"findUsedDataTheme","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/OdpDatasetService/ResourceTypes":{"get":{"tags":["odp-controller"],"operationId":"resourceTypeList","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ResourceTypeModel"}}}}}}}},"/OdpDatasetService/Languages":{"get":{"tags":["odp-controller"],"operationId":"languageList","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OdpLanguageModel"}}}}}}}},"/OdpDatasetService/LabelSite/{language}":{"get":{"tags":["odp-controller"],"operationId":"labelList","parameters":[{"name":"language","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LabelSiteModel"}}}}}}}},"/OdpDatasetService/EvictCache/{cacheName}":{"get":{"tags":["odp-controller"],"operationId":"evictCache","parameters":[{"name":"cacheName","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/OdpDatasetService/EvictAllCache":{"get":{"tags":["odp-controller"],"operationId":"evictAllCache","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/OdpDatasetService/EurovocList":{"get":{"tags":["odp-controller"],"operationId":"eurovocList","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EurovocModel"}}}}}}}},"/OdpDatasetService/DatasetsLight/{page}/{pageSize}":{"get":{"tags":["odp-controller"],"operationId":"datasetsLightPage","parameters":[{"name":"page","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"pageSize","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"filters","in":"query","required":true,"schema":{"$ref":"#/components/schemas/DatasetFilterDto"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageDtoOdpDatasetLightES"}}}}}}},"/OdpDatasetService/Datasets/{page}/{pageSize}":{"get":{"tags":["odp-controller"],"operationId":"datasetsPage","parameters":[{"name":"page","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"pageSize","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"filters","in":"query","required":true,"schema":{"$ref":"#/components/schemas/DatasetFilterDto"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageOdpDatasetES"}}}}}}},"/OdpDatasetService/Datasets/{id}":{"get":{"tags":["odp-controller"],"operationId":"getDataset","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OdpDatasetDto"}}}}}}},"/OdpDatasetService/Datasets/Size":{"get":{"tags":["odp-controller"],"operationId":"datasetsSize_1","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"integer","format":"int64"}}}}}}},"/OdpDatasetService/DatasetKmUriSlug":{"get":{"tags":["odp-controller"],"operationId":"getDatasetKmUriSlug","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DatasetKmSlugModel"}}}}}}}},"/OdpDatasetService/DatasetFrequencyList":{"get":{"tags":["odp-controller"],"operationId":"datasetFrequencyList","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OdFrequencyModel"}}}}}}}},"/OdpDatasetService/DatasetEurovocs":{"get":{"tags":["odp-controller"],"operationId":"findDistinctDatasetEurovoc","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/OdpDatasetService/DatasetDataThemeList":{"get":{"tags":["odp-controller"],"operationId":"datasetDataThemeList","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OdDataThemeModel"}}}}}}}},"/OdpDatasetService/DatasetDataThemeFamilyList":{"get":{"tags":["odp-controller"],"operationId":"datasetDataThemeFamilyList","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OdDataThemeFamilyModel"}}}}}}}},"/OdpDatasetService/CountryList":{"get":{"tags":["odp-controller"],"operationId":"countryList","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CountryModel"}}}}}}}},"/OdpDatasetService/ContactThemes":{"get":{"tags":["odp-controller"],"operationId":"getContactThemeList","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ContactThemeModel"}}}}}}}},"/OdpDatasetService/ContactEmailTest":{"get":{"tags":["odp-controller"],"operationId":"sendEmailTest","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/DocumentationService/ReadUrl/{fileName}":{"get":{"tags":["documentation-controller"],"operationId":"readUrl","parameters":[{"name":"fileName","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/DocumentationService/ReadFile/{fileName}":{"get":{"tags":["documentation-controller"],"operationId":"readFile","parameters":[{"name":"fileName","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/DocumentationService/ReadFile/odp/{fileName}":{"get":{"tags":["documentation-controller"],"operationId":"readFileUrl","parameters":[{"name":"fileName","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/AboutService/ReadCover/odp/cover/{fileName}":{"get":{"tags":["about-controller"],"operationId":"readCoverProductionMode_1","parameters":[{"name":"fileName","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/AboutService/ReadCover/cover/{fileName}":{"get":{"tags":["about-controller"],"operationId":"readCover_2","parameters":[{"name":"fileName","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/AboutService/Abouts":{"get":{"tags":["about-controller"],"operationId":"aboutList","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AboutModel"}}}}}}}},"/AboutService/Abouts/{id}":{"get":{"tags":["about-controller"],"operationId":"getAbout","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AboutModel"}}}}}}}},"components":{"schemas":{"UploadedFileModel":{"type":"object","properties":{"status":{"type":"string"},"url":{"type":"string"},"urlLight":{"type":"string"},"fileSize":{"type":"integer","format":"int64"},"format":{"type":"string"},"urlSm":{"type":"string"},"urlMm":{"type":"string"},"urlLg":{"type":"string"},"urlXl":{"type":"string"}}},"ContactEmailModel":{"type":"object","properties":{"email":{"type":"string"},"firstName":{"type":"string"},"lastName":{"type":"string"},"theme":{"type":"string"},"message":{"type":"string"},"consentment":{"type":"string"},"language":{"type":"string"}}},"UserSiteModel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"firstName":{"type":"string"},"lastName":{"type":"string"},"password":{"type":"string"},"email":{"type":"string"},"logo":{"type":"string"},"organisation":{"type":"string"},"language":{"type":"string"},"country":{"type":"string"},"userPublic":{"type":"boolean"}}},"ReuseDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"title":{"type":"string"},"shortDesc":{"type":"string"},"fullDesc":{"type":"string"},"link":{"type":"string"},"logo":{"type":"string"},"published":{"type":"boolean"},"reuseType":{"type":"integer","format":"int64"},"userSite":{"$ref":"#/components/schemas/UserSiteDto"}}},"UserSiteDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"firstName":{"type":"string"},"lastName":{"type":"string"},"password":{"type":"string"},"email":{"type":"string"},"logo":{"type":"string"},"organisation":{"type":"string"},"language":{"type":"string"},"country":{"type":"string"},"userPublic":{"type":"boolean"}}},"ReuseTypeDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"code":{"type":"string"}}},"PublicationDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"cover":{"type":"string"},"category":{"type":"string"},"creationDate":{"type":"string","format":"date-time"},"updateDate":{"type":"string","format":"date-time"},"publicationLangs":{"type":"array","items":{"$ref":"#/components/schemas/PublicationLangDto"}},"publicationLinks":{"type":"array","items":{"$ref":"#/components/schemas/PublicationLinkDto"}}}},"PublicationLangDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"language":{"type":"string"},"title":{"type":"string"},"slug":{"type":"string"},"shortDesc":{"type":"string"},"fullDesc":{"type":"string"},"coverDescription":{"type":"string"},"coverAltText":{"type":"string"},"coverCopyright":{"type":"string"}}},"PublicationLinkDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"publicationLinkLangs":{"type":"array","items":{"$ref":"#/components/schemas/PublicationLinkLangDto"}}}},"PublicationLinkLangDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"language":{"type":"string"},"title":{"type":"string"},"url":{"type":"string"}}},"PublicationCategoryDto":{"type":"object","properties":{"code":{"type":"string"},"text":{"type":"string"},"order":{"type":"integer","format":"int32"}}},"DatasetTitleDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"userId":{"type":"integer","format":"int64"},"userRoles":{"type":"array","items":{"type":"integer","format":"int64"}},"userGroups":{"type":"array","items":{"type":"integer","format":"int64"}},"title":{"type":"string"},"eurovocs":{"type":"array","items":{"type":"string"}},"dataThemes":{"type":"array","items":{"type":"string"}},"dataThemeFamilys":{"type":"array","items":{"type":"string"}},"keywords":{"type":"array","items":{"type":"string"}}}},"OdpDatasetLicenceModel":{"type":"object","properties":{"labelCode":{"type":"string"}}},"ResourceTypeModel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"code":{"type":"string"}}},"OdpLanguageModel":{"type":"object","properties":{"codeIso":{"type":"string"},"text":{"type":"string"},"order":{"type":"integer","format":"int32"}}},"LabelSiteModel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"code":{"type":"string"},"text":{"type":"string"},"language":{"type":"string"}}},"EurovocModel":{"type":"object","properties":{"id":{"type":"string"},"key":{"type":"string"},"visible":{"type":"boolean"}}},"DatasetFilterDto":{"type":"object","properties":{"dateFrom":{"type":"string","format":"date-time"},"dateTo":{"type":"string","format":"date-time"},"dateCoverageFrom":{"type":"integer","format":"int64"},"dateCoverageTo":{"type":"integer","format":"int64"},"title":{"type":"string"},"licences":{"type":"array","items":{"type":"string"}},"editor":{"type":"string"},"language":{"type":"string"},"eurovocs":{"type":"array","items":{"type":"string"}},"dataThemeFamily":{"type":"array","items":{"type":"string"}},"dataTheme":{"type":"array","items":{"type":"string"}},"keyword":{"type":"array","items":{"type":"string"}},"formats":{"type":"array","items":{"type":"string"}},"country":{"type":"array","items":{"type":"string"}},"groupId":{"type":"integer","format":"int64"},"typeManual":{"type":"boolean"},"typeSerie":{"type":"boolean"},"typeService":{"type":"boolean"},"statusDraft":{"type":"boolean"},"statusPublished":{"type":"boolean"},"order":{"type":"string","enum":["NUMBER_OF_VIEWS","NUMBER_OF_DOWNLOAD","DATE_CREATION","DATE_UPDATED","PUBLICATION_DATE","RELEVANCE"]}}},"FacetDto":{"type":"object","properties":{"name":{"type":"string"},"total":{"type":"integer","format":"int64"},"terms":{"type":"array","items":{"$ref":"#/components/schemas/TermDto"}}}},"OdpDatasetLightES":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"type":{"type":"string"},"views":{"type":"integer","format":"int64"},"download":{"type":"integer","format":"int64"},"licence":{"type":"string"},"version":{"type":"string"},"formats":{"type":"array","items":{"type":"string"}},"families":{"type":"array","items":{"type":"string"}},"themes":{"type":"array","items":{"type":"string"}},"eurovocs":{"type":"array","items":{"type":"string"}},"countries":{"type":"array","items":{"type":"string"}},"titles":{"type":"object","additionalProperties":{"type":"string"}},"slugs":{"type":"object","additionalProperties":{"type":"string"}},"descriptions":{"type":"object","additionalProperties":{"type":"string"}},"titleResources":{"type":"array","items":{"type":"object","additionalProperties":{"type":"string"}}},"publicationDate":{"type":"string","format":"date-time"},"creationDate":{"type":"string","format":"date-time"},"updateDate":{"type":"string","format":"date-time"},"coverDateFrom":{"type":"string","format":"date-time"},"coverDateTo":{"type":"string","format":"date-time"}}},"PageDtoOdpDatasetLightES":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/OdpDatasetLightES"}},"pageable":{"$ref":"#/components/schemas/PageableObject"},"facets":{"type":"array","items":{"$ref":"#/components/schemas/FacetDto"}},"last":{"type":"boolean"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/Sort"},"first":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"empty":{"type":"boolean"}}},"PageableObject":{"type":"object","properties":{"sort":{"$ref":"#/components/schemas/Sort"},"paged":{"type":"boolean"},"unpaged":{"type":"boolean"},"pageNumber":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"offset":{"type":"integer","format":"int64"}}},"Sort":{"type":"object","properties":{"sorted":{"type":"boolean"},"unsorted":{"type":"boolean"},"empty":{"type":"boolean"}}},"TermDto":{"type":"object","properties":{"term":{"type":"string"},"count":{"type":"integer","format":"int64"}}},"GroupAdminES":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"groupCode":{"type":"string"},"groupName":{"type":"string"}}},"OdDataThemeES":{"type":"object","properties":{"key":{"type":"string"},"index":{"type":"integer","format":"int32"},"visible":{"type":"boolean"}}},"OdDataThemeFamilyES":{"type":"object","properties":{"key":{"type":"string"},"index":{"type":"integer","format":"int32"},"visible":{"type":"boolean"}}},"OdpDatasetCountryES":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"country":{"type":"string"}}},"OdpDatasetES":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"uri":{"type":"string"},"leg":{"type":"integer","format":"int32"},"status":{"type":"string"},"type":{"type":"string"},"urlDataService":{"type":"string"},"frequency":{"type":"string"},"licence":{"type":"string"},"locked":{"type":"boolean"},"publicationDate":{"type":"string","format":"date-time"},"creationDate":{"type":"string","format":"date-time"},"updateDate":{"type":"string","format":"date-time"},"coverDateFrom":{"type":"string","format":"date-time"},"coverDateTo":{"type":"string","format":"date-time"},"views":{"type":"integer","format":"int64"},"download":{"type":"integer","format":"int64"},"userAdmin":{"$ref":"#/components/schemas/UserAdminES"},"odpDatasetVersions":{"type":"array","items":{"$ref":"#/components/schemas/OdpDatasetVersionES"}},"odpGproTranslations":{"type":"array","items":{"$ref":"#/components/schemas/OdpGproTranslationES"}},"reuses":{"type":"array","items":{"$ref":"#/components/schemas/ReuseES"}}}},"OdpDatasetEurovocES":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"eurovoc":{"type":"string"}}},"OdpDatasetKeywordES":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"keyword":{"type":"string"}}},"OdpDatasetLangES":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"language":{"type":"string"},"title":{"type":"string"},"slug":{"type":"string"},"description":{"type":"string"}}},"OdpDatasetVersionES":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"versionLabel":{"type":"string"},"datasetVersionDate":{"type":"string","format":"date-time"},"publicationDate":{"type":"string","format":"date-time"},"odpDatasetLangs":{"type":"array","items":{"$ref":"#/components/schemas/OdpDatasetLangES"}},"odpDatasetKeywords":{"type":"array","items":{"$ref":"#/components/schemas/OdpDatasetKeywordES"}},"odpDatasetEurovocs":{"type":"array","items":{"$ref":"#/components/schemas/OdpDatasetEurovocES"}},"odpDatasetCountries":{"type":"array","items":{"$ref":"#/components/schemas/OdpDatasetCountryES"}},"odDataThemes":{"type":"array","items":{"$ref":"#/components/schemas/OdDataThemeES"}},"odDataThemeFamilys":{"type":"array","items":{"$ref":"#/components/schemas/OdDataThemeFamilyES"}},"odpResources":{"type":"array","items":{"$ref":"#/components/schemas/OdpResourceES"}},"toTranslate":{"type":"boolean"},"translationOngoing":{"type":"boolean"},"licence":{"type":"string"}}},"OdpGproTranslationES":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"language":{"type":"string"},"gproDateEvent":{"type":"string","format":"date-time"},"gproNameEvent":{"type":"string"},"gproNumFdr":{"type":"integer","format":"int64"},"gproWhyRefused":{"type":"string"}}},"OdpResourceES":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"source":{"type":"string"},"order":{"type":"integer","format":"int64"},"resourceType":{"type":"string"},"odpResourceVersions":{"type":"array","items":{"$ref":"#/components/schemas/OdpResourceVersionES"}},"download":{"type":"integer","format":"int64"}}},"OdpResourceLangES":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"language":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"},"url":{"type":"string"},"format":{"type":"string"},"publicationDate":{"type":"string","format":"date-time"},"visible":{"type":"boolean"}}},"OdpResourceVersionES":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"versionLabel":{"type":"string"},"resourceVersionDate":{"type":"string","format":"date-time"},"odpResourceLangs":{"type":"array","items":{"$ref":"#/components/schemas/OdpResourceLangES"}}}},"PageOdpDatasetES":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/Sort"},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/OdpDatasetES"}},"empty":{"type":"boolean"}}},"ReuseES":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"title":{"type":"string"},"shortDesc":{"type":"string"},"fullDesc":{"type":"string"},"link":{"type":"string"},"logo":{"type":"string"},"published":{"type":"boolean"},"reuseType":{"type":"integer","format":"int64"},"userSite":{"$ref":"#/components/schemas/UserSiteES"}}},"RoleAdminES":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"roleName":{"type":"string"}}},"RoleGroupAdminES":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"roleAdminES":{"$ref":"#/components/schemas/RoleAdminES"},"groupAdminES":{"$ref":"#/components/schemas/GroupAdminES"}}},"UserAdminES":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"firstName":{"type":"string"},"lastName":{"type":"string"},"password":{"type":"string"},"email":{"type":"string"},"avatar":{"type":"string"},"pseudo":{"type":"string"},"roleGroupAdmins":{"type":"array","items":{"$ref":"#/components/schemas/RoleGroupAdminES"}}}},"UserSiteES":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"firstName":{"type":"string"},"lastName":{"type":"string"},"password":{"type":"string"},"email":{"type":"string"},"logo":{"type":"string"},"organisation":{"type":"string"},"language":{"type":"string"},"country":{"type":"string"},"userPublic":{"type":"boolean"}}},"OdDataThemeDto":{"type":"object","properties":{"key":{"type":"string"},"index":{"type":"integer","format":"int32"},"visible":{"type":"boolean"}}},"OdDataThemeFamilyDto":{"type":"object","properties":{"key":{"type":"string"},"index":{"type":"integer","format":"int32"},"visible":{"type":"boolean"}}},"OdpDatasetCountryDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"country":{"type":"string"}}},"OdpDatasetDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"uri":{"type":"string"},"urlDataService":{"type":"string"},"leg":{"type":"integer","format":"int32"},"status":{"type":"string"},"type":{"type":"string"},"frequency":{"type":"string"},"creationDate":{"type":"string","format":"date-time"},"updateDate":{"type":"string","format":"date-time"},"coverDateFrom":{"type":"string","format":"date-time"},"coverDateTo":{"type":"string","format":"date-time"},"views":{"type":"integer","format":"int64"},"download":{"type":"integer","format":"int64"},"locked":{"type":"boolean"},"slug":{"type":"string"},"odpDatasetVersions":{"type":"array","items":{"$ref":"#/components/schemas/OdpDatasetVersionDto"}},"reuses":{"type":"array","items":{"$ref":"#/components/schemas/ReuseDto"}}}},"OdpDatasetEurovocDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"eurovoc":{"type":"string"}}},"OdpDatasetKeywordDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"keyword":{"type":"string"}}},"OdpDatasetLangDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"language":{"type":"string"},"title":{"type":"string"},"slug":{"type":"string"},"description":{"type":"string"}}},"OdpDatasetVersionDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"versionLabel":{"type":"string"},"pathDcat":{"type":"string"},"datasetVersionDate":{"type":"string","format":"date-time"},"publicationDate":{"type":"string","format":"date-time"},"uri":{"type":"string"},"odpDatasetLangs":{"type":"array","items":{"$ref":"#/components/schemas/OdpDatasetLangDto"}},"odpDatasetKeywords":{"type":"array","items":{"$ref":"#/components/schemas/OdpDatasetKeywordDto"}},"odpDatasetEurovocs":{"type":"array","items":{"$ref":"#/components/schemas/OdpDatasetEurovocDto"}},"odpDatasetCountries":{"type":"array","items":{"$ref":"#/components/schemas/OdpDatasetCountryDto"}},"odDataThemes":{"type":"array","items":{"$ref":"#/components/schemas/OdDataThemeDto"}},"odDataThemeFamilys":{"type":"array","items":{"$ref":"#/components/schemas/OdDataThemeFamilyDto"}},"odpResources":{"type":"array","items":{"$ref":"#/components/schemas/OdpResourceDto"}},"toTranslate":{"type":"boolean"},"translationOngoing":{"type":"boolean"},"licence":{"type":"string"}}},"OdpResourceDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"source":{"type":"string"},"order":{"type":"integer","format":"int64"},"resourceType":{"type":"string"},"download":{"type":"integer","format":"int64"},"slug":{"type":"string"},"odpResourceVersions":{"type":"array","items":{"$ref":"#/components/schemas/OdpResourceVersionDto"}}}},"OdpResourceLangDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"language":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"},"url":{"type":"string"},"format":{"type":"string"},"fileSize":{"type":"integer","format":"int64"},"publicationDate":{"type":"string","format":"date-time"},"visible":{"type":"boolean"},"uriKM":{"type":"string"},"fileNameKm":{"type":"string"},"checksumUriKM":{"type":"string"}}},"OdpResourceVersionDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"versionLabel":{"type":"string"},"resourceVersionDate":{"type":"string","format":"date-time"},"odpResourceLangs":{"type":"array","items":{"$ref":"#/components/schemas/OdpResourceLangDto"}}}},"DatasetKmSlugModel":{"type":"object","properties":{"uri":{"type":"string"},"slug":{"type":"string"},"language":{"type":"string"},"version":{"type":"string"}}},"OdFrequencyModel":{"type":"object","properties":{"key":{"type":"string"},"index":{"type":"integer","format":"int32"},"visible":{"type":"boolean"}}},"OdDataThemeModel":{"type":"object","properties":{"key":{"type":"string"},"index":{"type":"integer","format":"int32"},"visible":{"type":"boolean"}}},"OdDataThemeFamilyModel":{"type":"object","properties":{"key":{"type":"string"},"index":{"type":"integer","format":"int32"},"visible":{"type":"boolean"}}},"CountryModel":{"type":"object","properties":{"key":{"type":"string"},"index":{"type":"integer","format":"int32"},"visible":{"type":"boolean"}}},"ContactThemeModel":{"type":"object","properties":{"key":{"type":"string"},"index":{"type":"integer","format":"int32"}}},"AboutHistoryModel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"action":{"type":"string"},"adminUserName":{"type":"string"},"date":{"type":"string","format":"date-time"}}},"AboutLangModel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"language":{"type":"string"},"title":{"type":"string"},"shortDesc":{"type":"string"},"fullDesc":{"type":"string"},"coverDescription":{"type":"string"},"coverAltText":{"type":"string"},"coverCopyright":{"type":"string"}}},"AboutLinkLangModel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"language":{"type":"string"},"title":{"type":"string"},"url":{"type":"string"}}},"AboutLinkModel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"aboutLinkLangs":{"type":"array","items":{"$ref":"#/components/schemas/AboutLinkLangModel"}}}},"AboutModel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"cover":{"type":"string"},"status":{"type":"string"},"creationDate":{"type":"string","format":"date-time"},"updateDate":{"type":"string","format":"date-time"},"translation":{"type":"boolean"},"translationOngoing":{"type":"boolean"},"aboutLangs":{"type":"array","items":{"$ref":"#/components/schemas/AboutLangModel"}},"aboutLinks":{"type":"array","items":{"$ref":"#/components/schemas/AboutLinkModel"}},"aboutHistories":{"type":"array","items":{"$ref":"#/components/schemas/AboutHistoryModel"}}}}}}}